Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::Pollable_var Class Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA::Pollable_var:

[legend]
Collaboration diagram for CORBA::Pollable_var:

[legend]
List of all members.

## Public Methods
| Pollable_var (void)
| Pollable_var (Pollable_ptr p)
| Pollable_var (const Pollable_var &)
| ~Pollable_var (void)
Pollable_var & | operator= (Pollable_ptr)
Pollable_var & | operator= (const Pollable_var &)
Pollable_ptr | operator-> (void) const
| operator const Pollable_ptr & () const
| operator Pollable_ptr & ()
Pollable_ptr | in (void) const
Pollable_ptr & | inout (void)
Pollable_ptr & | out (void)
Pollable_ptr | _retn (void)
Pollable_ptr | ptr (void) const
## Static Public Methods
Pollable_ptr | tao_duplicate (Pollable_ptr)
void | tao_release (Pollable_ptr)
Pollable_ptr | tao_nil (void)
Pollable_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| Pollable_var (const TAO_Base_var &rhs)
Pollable_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
Pollable_ptr | ptr_

## Constructor & Destructor Documentation

CORBA::Pollable_var::Pollable_var | ( | void |  | ) |

CORBA::Pollable_var::Pollable_var | ( | Pollable_ptr | p | ) | `[inline]`

CORBA::Pollable_var::Pollable_var | ( | const Pollable_var & |  | ) |

CORBA::Pollable_var::~Pollable_var | ( | void |  | ) |

CORBA::Pollable_var::Pollable_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

Pollable_ptr CORBA::Pollable_var::_retn | ( | void |  | ) |

Pollable_ptr CORBA::Pollable_var::in | ( | void |  | ) | const

Pollable_ptr& CORBA::Pollable_var::inout | ( | void |  | ) |

CORBA::Pollable_var::operator const Pollable_ptr & | ( |  | ) | const

CORBA::Pollable_var::operator Pollable_ptr & | ( |  | ) |

Pollable_ptr CORBA::Pollable_var::operator-> | ( | void |  | ) | const

Pollable_var& CORBA::Pollable_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

Pollable_var& CORBA::Pollable_var::operator= | ( | const Pollable_var & |  | ) |

CORBA::Pollable_var & CORBA::Pollable_var::operator= | ( | Pollable_ptr | p | ) |

Pollable_ptr& CORBA::Pollable_var::out | ( | void |  | ) |

CORBA::Pollable_ptr CORBA::Pollable_var::ptr | ( | void |  | ) | const

Pollable_ptr CORBA::Pollable_var::tao_duplicate | ( | Pollable_ptr |  | ) | `[static]`

Pollable_ptr CORBA::Pollable_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

Pollable_ptr CORBA::Pollable_var::tao_nil | ( | void |  | ) | `[static]`

void CORBA::Pollable_var::tao_release | ( | Pollable_ptr |  | ) | `[static]`

CORBA::Object* CORBA::Pollable_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

Pollable_ptr CORBA::Pollable_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PollableC.h
- PollableC.cpp